aboutsummaryrefslogtreecommitdiff
path: root/pbuilder-user-mode-linux
diff options
context:
space:
mode:
authordancer <dancer>2004-07-28 23:39:24 +0000
committerdancer <dancer>2004-07-28 23:39:24 +0000
commite1f7eaa51635f5a53da343bce05c2a6826ab9e27 (patch)
treeb7323e0d8ba0e506a4c34ef84ca5183aaead25bb /pbuilder-user-mode-linux
parentc7c59cb36ac720cacd79a9413e8d1747991865f7 (diff)
downloadpbuilder-e1f7eaa51635f5a53da343bce05c2a6826ab9e27.tar
pbuilder-e1f7eaa51635f5a53da343bce05c2a6826ab9e27.tar.gz
+
+ * debian/pbuilder-uml.files: add pbuilder-uml-checkparams + + * Makefile: add pbuilder-uml-checkparams + + * pdebuild-user-mode-linux.1: update manual to reflect + current reality of pdebuild-user-mode-linux. It was originally just a + copy of pdebuild manpage. + + * pbuilder-checkparams: shift around debootstrapopts parameter + processing out of pdebuild options; it doesn't belong there. + + * pdebuild-user-mode-linux: Call pbuilder-uml-checkparams to + parse commands in UML way, not pbuilder way. + * pbuilder-uml-checkparams: Move command-line parser to here + * pbuilder-user-mode-linux: Move command-line parser out +
Diffstat (limited to 'pbuilder-user-mode-linux')
-rwxr-xr-xpbuilder-user-mode-linux122
1 files changed, 4 insertions, 118 deletions
diff --git a/pbuilder-user-mode-linux b/pbuilder-user-mode-linux
index 279d09b..7a8b28d 100755
--- a/pbuilder-user-mode-linux
+++ b/pbuilder-user-mode-linux
@@ -1,7 +1,7 @@
#! /bin/bash
# common modules for pbuilder.
# pbuilder -- personal Debian package builder
-# Copyright (C) 2001-2003 Junichi Uekawa
+# Copyright (C) 2001-2004 Junichi Uekawa
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,14 +25,11 @@ function cleanup_function () {
${EXTRACLEANUP}
}
-
. /usr/lib/pbuilder/pbuilder-loadconfig
-for SYSTEM_CONFIG in /usr/share/pbuilder/pbuilder-uml.conf /etc/pbuilder/pbuilder-uml.conf ${HOME}/.pbuilderrc; do
- if [ -f ${SYSTEM_CONFIG} ]; then
- . ${SYSTEM_CONFIG}
- fi
-done
+OPERATION="$1"
+shift;
+. /usr/lib/pbuilder/pbuilder-uml-checkparams
function usecow () {
PBUILDER_COWFILENAME="${BUILDPLACE}/$$.cow"
@@ -146,119 +143,8 @@ EOF
fi
}
-PBUILDER_COW=""
-OPERATION="$1"
-UML_EXTRAOPT=
-UML_DEBUGMODE=
-UML_EXECUTE_EXTRAOPT=
-UML_LOGIN_NOCOW=
-shift;
-while [ -n "$1" ] ; do
- case "$1" in
- --eth0)
- MY_ETH0="$2";
- shift; shift;
- ;;
- --uml-ip)
- UML_IP="$2";
- shift; shift;
- ;;
- --uml-netmask)
- UML_NETMASK="$2";
- shift; shift;
- ;;
- --uml-network)
- UML_NETWORK="$2";
- shift; shift;
- ;;
- --uml-broadcast)
- UML_BROADCAST="$2";
- shift; shift;
- ;;
- --uml-gateway)
- UML_GATEWAY="$2";
- shift; shift;
- ;;
- --uml-image)
- PBUILDER_UML_IMAGE="$2";
- shift; shift;
- ;;
- --mount-tmpfs)
- UML_MOUNT_TMPFS="$2";
- shift; shift;
- ;;
- --uml-mem)
- UML_MEM="$2";
- shift; shift;
- ;;
- --uml-hostname)
- UML_HOSTNAME="$2";
- shift; shift;
- ;;
- --uml-debugmode)
- UML_DEBUGMODE="set -x";
- shift;;
- --distribution)
- UML_DISTRIBUTION="$2";
- shift; shift;
- ;;
- --uml-login-nocow)
- UML_LOGIN_NOCOW=yes;
- shift;
- ;;
- #things that can be passed through without options
- --override-config|--binary-arch)
- UML_EXTRAOPT="${UML_EXTRAOPT} $1"
- shift;;
- --configfile)
- UML_EXTRAOPT="${UML_EXTRAOPT} $1 $2"
- . "$2"
- shift; shift;;
- #things that can be passed through with options
- --timeout|--http-proxy|--hookdir|--aptconfdir|--bindmounts|--mirror|--nonusmirror)
- UML_EXTRAOPT="${UML_EXTRAOPT} $1 $2"
- shift; shift;;
- --buildresult)
- # ignore buildresult
- if [ -d "$2" ]; then
- UML_BUILDRESULT=$(readlink -f "$2")
- else
- echo "E: Directory $2 does not exist" >&2
- exit 1
- fi
- shift; shift;;
- --buildplace)
- if [ -d "$2" ]; then
- BUILDPLACE=$(readlink -f "$2")
- else
- echo "E: Directory $2 does not exist" >&2
- exit 1
- fi
- shift; shift;;
- --logfile)
- exec > "$2";
- exec 2>&1
- PBUILDER_BUILD_LOGFILE=$(readlink -f "$2")
- shift;shift;;
- --)
- shift;
- break;
- ;;
- --*)
- echo "Error: Unknown option [$1] was specified " >&2
- exit 1;
- ;;
- *)
- break;
- ;;
- esac
-done
-if ! touch "${BUILDPLACE}/touch" ; then
- echo "E: Cannot touch BUILDPLACE/touch, check BUILDPLACE" >&2
- exit 1
-fi
BUILDING_DSC_FILE=$(readlink -f "$1") || true # ignore failure here
EXTRACLEANUP=